Subject: Re: windows/meson cfbot warnings

From: Andres Freund <[email-masked]>
Date: Sat, 25 Feb 2023 10:29:33 -0800

Hi,

On 2022-12-28 17:44:47 -0800, Andres Freund wrote:
> On 2022-12-28 18:35:38 -0600, Justin Pryzby wrote:
> > Since a few days ago, the windows/meson task has been spewing messages for each tap
> > test:
> > 
> > | Unknown TAP version. The first line MUST be `TAP version <int>`. Assuming version 12.
> > 
> > I guess because the image is updated to use meson v1.0.0.
> > https://github.com/mesonbuild/meson/commit/b7a5c384a1f1ba80c09904e7ef4f5160bdae3345
> > 
> > mesonbuild/mtest.py-        if version is None:
> > mesonbuild/mtest.py:            self.warnings.append('Unknown TAP version. The first line MUST be `TAP version <int>`. Assuming version 12.')
> > mesonbuild/mtest.py-            version = 12
> 
> I think the change is somewhat likely to be reverted in the next meson minor
> version. It apparently came about due to somewhat odd language in the tap-14
> spec...  So I think we should just wait for now.

FWIW, that did happen in 1.0.1, and the output is now clean again.

Greetings,

Andres Freund